package cn.com.qmth.examcloud.task.service.job;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.core.reports.api.StudentTotalCountCloudService;
import cn.com.qmth.examcloud.web.task.AbstractTask;
import cn.com.qmth.examcloud.web.task.ScheduleJob;
import cn.com.qmth.examcloud.web.task.TaskTracker;

@Component("studentTotalCountTask")
public class StudentTotalCountTask extends AbstractTask {

	@Autowired
	StudentTotalCountCloudService studentTotalCountCloudService;

	@Autowired
	TaskTracker TaskTracker;
	
	@Override
	public void run(ScheduleJob scheduleJob) throws Exception {
		studentTotalCountCloudService.compute();
	}

	@Override
	public TaskTracker getTaskTracker() {
		return TaskTracker;
	}
}
